Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1293704 - font-manager enforces to install nautilus
Summary: font-manager enforces to install nautilus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: font-manager
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jean-Francois Saucier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2015-12-22 18:34 UTC by Raphael Groner
Modified: 2016-01-08 03:26 UTC (History)
3 users (show)

Fixed In Version: font-manager-0.7.2-3.fc23 font-manager-0.7.2-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-08 03:26:57 UTC
Type: Bug


Attachments (Terms of Use)
fix bogus requires on main package (2.54 KB, patch)
2015-12-23 12:43 UTC, leigh scott
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1225273 None None None Never

Internal Links: 1225273

Description Raphael Groner 2015-12-22 18:34:09 UTC
Description of problem:
font-manager enforces to install nautilus even when an user prefers to not want it cause of available alternatives like nemo, thunar or caja etc.

Version-Release number of selected component (if applicable):
font-manager-0.5.7-10.fc22.x86_64 -> okay, no dependency to nautilus
font-manager-0.7.2-2.fc22.x86_64  -> depends on nautilus

How reproducible:
yes

Steps to Reproduce:
1. dnf install -y font-manager
2. dnf update -y font-manager
3.

Actual results:
nautilus gets installed.

Expected results:
no nautilus installed.

Additional info:
That's propably happening cause of +BuildRequires: nautilus-python-devel in commit 82795dc42587a1e6e16a2489b8fea41b85aa318f. Why this?
Removal of nautilus downgrades font-manager again to 0.5-7-10 .

See also https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe7572fc3c

Comment 1 Kevin Kofler 2015-12-23 00:15:44 UTC
The Requires: nautilus-python at line 15 of your specfile:
http://pkgs.fedoraproject.org/cgit/font-manager.git/tree/font-manager.spec#n15
must be moved to the nautilus-font-manager subpackage.

Comment 2 leigh scott 2015-12-23 12:43:36 UTC
Created attachment 1108963 [details]
fix bogus requires on main package

Patch to fix bogus requires on main package, it's the nautilus sub-package that requires nautilus-python!
also adds nemo support.

Comment 3 Fedora Update System 2015-12-23 14:37:02 UTC
font-manager-0.7.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7654070868

Comment 4 Fedora Update System 2015-12-23 15:36:13 UTC
font-manager-0.7.2-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d4466c52a4

Comment 5 Jean-Francois Saucier 2015-12-23 15:39:12 UTC
I have pushed a new version for rawhide, f23 and f22 with the patch Leigh provided. It should remove the extra dependencies that were introduced in my last package.

Sorry for that and thanks Leigh for the patch!

Comment 6 Raphael Groner 2015-12-23 17:10:49 UTC
Thanks for the quick fix!

+ While tested, another question came up: Do we really need file-roller as a dependency?

Comment 7 Fedora Update System 2015-12-25 01:58:01 UTC
font-manager-0.7.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7654070868

Comment 8 Fedora Update System 2015-12-28 22:54:06 UTC
font-manager-0.7.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-12-30 20:57:06 UTC
font-manager-0.7.2-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d4466c52a4

Comment 10 Fedora Update System 2016-01-08 03:26:54 UTC
font-manager-0.7.2-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.